nav {
    background: #fff;
    @media (prefers-color-scheme: dark) {
        background: $body_dark;
        color: $font_dark;
    }

    z-index: 69;

    top: 0;
    left: 0;
    width: 100%;
    position: fixed;
    padding: 1em 0;
    
    transition: box-shadow 400ms, background 400ms;
    &.hasShadow {
        box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;

        @media (prefers-color-scheme: dark) {
            box-shadow: $cardShadow_dark;
            background: $card_dark;
        }
    }

    $widthAtWhichToSwitchToMobile: 760px;

    // Desktop
    @media (min-width: $widthAtWhichToSwitchToMobile) {

        .mobile {
            display: none !important;
        }

        display: flex;
        justify-content: center;

        &>div {
            display: grid;
            grid-template-columns: 10em 1fr 10em;
            align-items: center;
            width: calc(100% - 4em);

            max-width: 1000px;

            &>div {
                display: flex;
                justify-content: center;

                img {
                    height: 3rem;
                    cursor: pointer;
                }

                a {
                    padding: 1rem;
                    display: block;
                }

                a:hover {
                    color: darkorange;
                }

                &:first-child {
                    justify-content: left
                }

                &:last-child {
                    justify-content: right;

                    a {
                        padding: 1em 0.5em;
                    }
                }
            }
        }

    }

    // Mobile
    @media (max-width: $widthAtWhichToSwitchToMobile) {

        .desktop {
            display: none;
        }

        &>div {
            display: flex;
            align-items: center;
            justify-content: space-between;
            padding: 0 1em;
            padding-right: 2em;
            max-width: 1000px;

            &>div {

                img {
                    height: 3rem;
                }

                &.burger {
                    cursor: pointer;
                }

            }

            #mobileNavigation {
                position: fixed;
                top: 4em;
                right: 1em;
                z-index: 80;
                background: #fff;
                @media (prefers-color-scheme: dark) {
                    background: $body_dark;
                    color: $font_dark;
                }

                display: grid;

                a {
                    margin: 1em 0.5em;
                    display: flex;
                    align-items: center;
                    justify-content: right;

                    span {
                        margin-top: 4px;
                        margin-left: 0.5em;
                    }
                }

                .divider {
                    width: calc(100% + 2em);
                    border-bottom: 1px solid #ddd;
                    @media (prefers-color-scheme: dark) {
                        border-color: $borderColour_dark;
                    }
                    margin: 0.5em -1em;
                }
            }
        }

    }

}